package info.bukova.isspst.ui.signeddocs;

import info.bukova.isspst.data.SignedDocument;

import java.util.ArrayList;
import java.util.List;

import org.springframework.security.access.AccessDeniedException;
import org.zkoss.bind.annotation.Init;

public class SignedDocsActualList extends SignedDocsList {

	@Init(superclass = true)
	public void SignedDocsActualListInit() {

	}

	@Override
	protected List<SignedDocument> getListFromService() {
		try {
			return signedDocumentService.getActualList();
		}
		catch (AccessDeniedException e) {
			// BindUtils.postGlobalCommand(null, null, "disableCentre", null);
			// e.printStackTrace();
			return new ArrayList<SignedDocument>();
		}
	}
}
